<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('publications', function (Blueprint $table) {
            $table->string('organizing_institute')->nullable()->change();
            $table->string('venue_address')->nullable()->change();
            $table->string('affiliation')->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('publications', function (Blueprint $table) {
            $table->string('organizing_institute')->nullable(false)->change();
            $table->string('venue_address')->nullable(false)->change();
            $table->string('affiliation')->nullable(false)->change();
        });
    }
};
